Name:           perl-Math-PlanePath
Version:        110
Release:        1%{?dist}
Summary:        Mathematical paths through the 2-D plane
License:        GPLv3+
Group:          Development/Libraries
URL:            http://user42.tuxfamily.org/math-planepath/index.html
Source0:        http://www.cpan.org/authors/id/K/KR/KRYDE/Math-PlanePath-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant) >= 1.02
BuildRequires:  perl(constant::defer) >= 5
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Math::BigFloat) >= 1.993
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Math::Libm)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test)
Requires:       perl(constant::defer) >= 5
Requires:       perl(Math::Factor::XS)
Requires:       perl(Math::NumSeq::Modulo)
Requires:       perl(Module::Load)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Filtering unversioned provides and requires
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Math::PlanePath::CellularRule::OddSolid\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(constant::defer\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(constant\\)$

%description
This spot of Perl code calculates various mathematical paths through a 2-D X,Y
plane. There's no drawing in Math-PlanePath, just coordinate calculations.

%prep
%setup -q -n Math-PlanePath-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes COPYING debian/copyright
%{perl_vendorlib}/Math*
%{_mandir}/man3/*

%changelog
* Mon Sep 02 2013 Miro Hrončok <mhroncok@redhat.com> - 110-1
- New upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 105-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 105-2
- Perl 5.18 rebuild

* Mon Jun 24 2013 Miro Hrončok <mhroncok@redhat.com> - 105-1
- New upstream release

* Sat Feb 09 2013 Miro Hrončok <mhroncok@redhat.com> - 98-2
- Using original homepage for URL
- Updated summary and description to suit whole package
- Packaged debian/copyright as documentation
- Quallified BR perl(Math::BigFloat) with >= 1.993
- Build-required perl(constant) >= 1.02
                 perl(Test)
                 perl(Scalar::Util)
                 perl(Carp)
                 perl(File::Spec)
                 perl(Exporter)
                 perl(lib)
- Run-required   perl(Math::Factor::XS)
                 perl(Math::NumSeq::Modulo)
                 perl(Module::Load)
- Removed BR     perl(Math::BigRat)
                 perl >= 0:5.004

* Sat Feb 02 2013 Miro Hrončok <mhroncok@redhat.com> - 98-1
- New release
- Removed perl default filter
- %%{__perl} -> perl
- Replaced obsoleted PERL_INSTALL_ROOT with DESTDIR
- Removed deleting empty dirs
- Replaced BRs with BRs from Michal Ingeli <mi@v3.sk>
- Filter unversioned deps and provides

* Fri Nov 16 2012 Miro Hrončok <miro@hroncok.cz> - 90-2
- Removed BRs provided by perl package

* Tue Oct 09 2012 Miro Hrončok <miro@hroncok.cz> 90-1
- New release

* Sun Sep 23 2012 Miro Hrončok <miro@hroncok.cz> 88-1
- Specfile autogenerated by cpanspec 1.78 adn revised.
